Page MenuHomePhabricator

Support Structured discussions features developments for FY 2017-2018
Closed, ResolvedPublic

Description

Flow has been rescoped as Structured Discussions and some improvements will be made on the software.

How does success of this task look like? How do we know when we are done?

  • All communities actively using Structured Discussions:
    • are aware of the new developments,
    • are actively included in the feedback process (suggestions, tests, deployment, improvements).
  • The new features are successfully deployed on all wikis with active Structured Discussions boards.

Is there any goal, program, project, team related with this request?
Support Structured discussions features developments for FY 2017-2018, listed on T167928: Improve structured discussion features for the communities that use them, based on user feedback and prioritising technical debt.

What is your expected timeline from start to end? Is there a hard deadline?
It has started, ends at the end of FY 2017-2018.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Trizek-WMF renamed this task from Support Structured discussions features developments to Support Structured discussions features developments for FY 2017-2018.Sep 18 2017, 1:06 PM
Trizek-WMF updated the task description. (Show Details)
Trizek-WMF added a subscriber: Qgil.
Elitre added a subscriber: Elitre.Sep 21 2017, 2:25 PM

So this looks like an annual personal goal (assuming yours, it's still unassigned).
It should be possible to have subtasks that describe the specific activities for a specific month/quarter, so that we can ask PM's evaluation on those.

Qgil triaged this task as Normal priority.Sep 22 2017, 10:34 AM

The development of the Filters has impacted a bit the SD project. I've sent an email to Roan and James to precise the ongoing changes, and see which ones need support for the current quarter.

Aklapper added a subscriber: jmatazzoni.

(@jmatazzoni: not Tracking-Neverending per definition as this can be considered resolved at some stage)

jrbs added a subscriber: jrbs.Oct 12 2017, 4:37 PM

This is not the right column for this task, if there's a deadline. It's currently in "Ready to Go" for the current quarter, while you want it to be in Q4's workboard, I think. Thanks.

Trizek-WMF lowered the priority of this task from Normal to Low.Dec 18 2017, 8:14 AM

Lowering priority:

  • this is a background task
  • I'm working on the sub tasks
Trizek-WMF closed this task as Resolved.Apr 4 2018, 2:58 PM

All possible support has been provided during the last quarter and sub-tasks have been closed.

Elitre awarded a token.Apr 4 2018, 5:51 PM